:root {
    --primary-colour: #005eb8;
    --secondary-colour: #00a3a1;
    --button-primary: #005eb8;
    --button-secondary: #00a3a1;
}

.btn-primary-custom {
    background-color: var(--button-primary);
    border-color: var(--button-primary);
}

.btn-secondary-custom {
    background-color: var(--button-secondary);
    border-color: var(--button-secondary);
}

.main-logo {
    width: auto;
    margin: 1.5rem 0;
}

.hero {
    border-top: 6px solid var(--primary-colour);
}


/* loading animation */

.loading-animation {
    color: var(--primary-colour);
    font-size: 1.25rem;
    font-weight: bold;
    background-color: white;
    background-clip: padding-box;
    border: 4px solid transparent;
    border-radius: .2rem;
    box-shadow: 0 0 0 2px #fff;
    padding: 0 1rem;
    user-select: none;
    /* mix-blend-mode: lighten; */
    display: inline-block;

    span {
        display: inline-block;
        animation: bounce 1.3s ease-in-out infinite;
        will-change: transform;
        transform: translateZ(0);
    }
}   

@keyframes bounce {
    0%, 100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-5px);
    }
}

.loading-animation span:nth-child(1) {
    animation-delay: 0.0s;
}

.loading-animation span:nth-child(2) {
    animation-delay: 0.1s;
}

.loading-animation span:nth-child(3) {
    animation-delay: 0.2s;
}

.loading-animation span:nth-child(4) {
    animation-delay: 0.3s;
}

.loading-animation span:nth-child(5) {
    animation-delay: 0.4s;
}

.loading-animation span:nth-child(6) {
    animation-delay: 0.5s;
}

.loading-animation span:nth-child(7) {
    animation-delay: 0.6s;
}


/*  */


[data-field] {
    /* background-color: #ffff0080; */
}

:root {
    --bs-link-color-rgb: 127, 53, 178;
}

.bg-light {
    background-color: #f1f1f1 !important;
}


.bg-dark {
    background-color: #282828 !important;
}

.section-spacer {
    padding: 2rem 0;
}

.scheme-selector {
    background-color: #f1f1f1;
    text-decoration: none;
    text-align: center;
    max-width: 1200px;
    margin: -4rem auto 2rem;
    padding: 2rem 3rem;
    border-radius: 1rem;
    box-shadow: 0 -50px 31px -40px #00000080;
    display: block;
}

.scheme-selector-redirect {
    color: #ffffff;
    background-color: var(--primary-colour);
    padding: 2rem;
    transition: background-color .2s ease;

    &:hover,
    &:focus {
        filter: brightness(0.95);
    }

    .loading-animation {
        margin-bottom: 1rem;
    }

    .scheme-selector-btn {
        color: #000;
        background-color: #fff;
    }
}


.scheme-selector-heading {
    font-size: 1.3rem;
    font-weight: bold;
    margin-bottom: 1.5rem;
}

.scheme-selector-btn {
    color: #fff;
    background-color: rgb(var(--bs-link-color-rgb));
    font-size: 1.5rem;
    text-align: center;
    text-decoration: none;
    width: 90%;
    height: calc(100% - 1rem);
    margin: auto;
    padding: 1rem;
    border-radius: 0.375rem;
    display: flex;
    flex-flow: column;
    justify-content: center;
    transition: all .2s ease;

    &:hover,
    &:focus {
        filter: brightness(0.95);
    }
}

.scheme-selector-btn-primary {
    background-color: var(--button-primary);
    margin-bottom: 1rem;
}

.scheme-selector-btn-secondary {
    background-color: var(--button-secondary);
}

/* documents selector */

.documents-scheme-selector {
    text-align: center;
    max-width: 1200px;
    margin-top: 3rem;

    a {
        text-decoration: none;
    }
}


@media (min-width: 1400px) {

    .container {
        max-width: 1140px;
    }

}



/* TYPOGRAPHY */

.section-heading {
    font-size: 1rem;
    font-weight: normal;
    text-wrap: pretty;
    margin-bottom: 1.5rem;
}


/* LIST */
.topic-list {
    text-align: center;
}

.topic-icon {
    max-width: 28px;
    max-height: 28px;
    margin-bottom: .5rem;
}

.topic-description {
    text-wrap-style: pretty;
    max-width: 240px;
    margin: 0 auto 2rem;
}

.faq-question-and-answer {
    ul {
        padding-left: 1.2rem;
    }
    
    h3 {
        font-size: 1rem;
        text-wrap-style: pretty;
        margin-bottom: 0;
    }

    p {
        text-wrap-style: pretty;
        margin-bottom: 1.5rem;
    }

    a {
        color: inherit;
        text-decoration: underline;
    }
}


/* CARD */

.doc-card {
    h3 {
        font-size: 1rem;
        text-wrap-style: pretty;
        margin-bottom: 0;
    }
}


/* ACCORDION */

/* Container spacing and shadow */

#faq {
    .accordion-item {
        color: #C5C5C5;
    }
}

.accordion-item {
    background-color: inherit;
    border: none;
    overflow: hidden;
}

/* Accordion Header/Button styling */
.accordion-button {
    font-size: 1.25rem;
    font-weight: 600;
    color: inherit;
    background-color: inherit !important;
    box-shadow: none !important;
    padding: 1.2rem;
    display: flex;

    &:not(.collapsed) {
        color: inherit;
    }
    /* hide default arrow */
    &::after {
        display: none;
    }
    /* expand/collapse icon */
    .accordion-icon {
        /* background-color: #7;  */
        width: 12px;
        height: 12px;
        margin-right: 1rem;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: all 0.2s ease-in-out;

        &::before,
        &::after {
            content: "";
            background: currentColor;
            margin-top: 2px;
            transition: all 0.2s ease-in-out;
            position: absolute;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &::before {
            width: 12px;
            height: 2px;
            transform: rotate(0);
        }

        &::after {
            width: 12px;
            height: 2px;
            transform: rotate(90deg);
        }
    }

    /* active state */
    &[aria-expanded="true"] .accordion-icon {

        &::before {
            transform: rotate(180deg);
        }

        &::after {
            transform: rotate(180deg);
            opacity: 0;
        }
    }
}

/* Accordion Body text styling */
.accordion-body {
    padding: 1.2rem;
    position: relative;
}





/* HEADER */

.main-header {
    background-color: #fff;
}

.text-header-strip {
    background-color: #000;
    display: flex;
    align-items: center;
}

.text-header-strip-title {
    color: #fff;
    font-size: 2rem;
    text-wrap-style: pretty;
    margin-bottom: 0;
    display: inline-block;
}

.text-header-strip-supporting-text {
    color: #fff;
    font-size: 1.2rem;
    line-height: 1.3;
    text-wrap-style: pretty;
    margin-top: .5rem;
    margin-bottom: 0;
}

/* @include media-breakpoint-up(lg) { */
    .text-header-strip {
        background-color: black;
        background-image: url(../img/hero.png);
        background-repeat: no-repeat;
        background-size: auto 100%;
        background-position: center;
        /* offset from center, if needed */
        /* background-position: calc(50% - 0px) calc(50% - 0px);  */
        min-height: 256px;
    }
/* } */

/* @include media-breakpoint-up(md) { */
    .text-header-strip-title {
        font-size: 2.5rem;
        line-height: 1.1;
    }
/* } */


/* FOOTER */

footer {
    color: #C5C5C5;
    background-color: #282828;
    border-top: 1px solid #fff;
    padding: 2rem 0;
}
